Holger's Java API

## com.antelmann.cddb
Class RecursiveCycleException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.antelmann.cddb.RecursiveCycleException

All Implemented Interfaces:
  Serializable

    public class RecursiveCycleException

extends RuntimeException

Thrown if a Composition object tries to use a parent object that already has itself as a parent, or if a Group object tries to insert a group that is already contained, which constitues an illegal recursive cycle.

Author:
  Holger Antelmann
See Also:
  `Composition`, `Group`, Serialized Form

Constructor Summary
`RecursiveCycleException(Composition c)`
`RecursiveCycleException(Group g)`

Method Summary
`Object` `getObject()` returns either a Composition or a Group

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RecursiveCycleException

    public RecursiveCycleException(Composition c)

### RecursiveCycleException

    public RecursiveCycleException(Group g)

Method Detail

### getObject

    public Object getObject()

  returns either a Composition or a Group

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads